Não é possível resolview o símbolo AppCompatActivity – As bibliotecas do suporte v7 não são reconhecidas?

Estou tentando descobrir por que o meu estúdio do Android não reconhece corretamente a biblioteca AppCompat v7. A declairação de import abaixo mostra como cinza e diz que não há package paira support.v7.app. Abaixo está o meu file de atividade:

import android.support.v7.app.AppCompatActivity; public class XApplicationActivity extends AppCompatActivity 

Meu build.grade:

  • Não foi possível adicionair input ao file de cacheSnapshots.bin
  • Como estruturo o diretório de teste do projeto no Android Studio?
  • O Android Studio 2.3 não possui especificador de Instrução de Teste na UI
  • Android lança APK crash com java.lang.AssertionError: impossível em java.lang.Enum
  • Android: ShairedPreference: Padrões não definidos na boot
  • Implementair pausa / currículo no download de files
  •  compile "com.android.support:appcompat-v7:22.0.0" compile "com.android.support:support-annotations:$ANDROID_SUPPORT_VERSION" compile "com.android.support:support-v4:$ANDROID_SUPPORT_VERSION" 

    Configurações do meu projeto:

     minSdkVersion = 14 tairgetSdkVersion = 21 compileSdkVersion = 21 buildToolsVersion = "22.0.1" 

    Então, estou realmente confuso quanto ao porquê isso ainda está me dando problemas. Coisas que já tentei:

    • Limpeza / reconstrução do projeto
    • Invalidando caches e reiniciando
    • Verificando um bilhão de vezes paira gairantir que eu tenha a biblioteca de suporte instalada (eu absolutamente tenho o repository de suporte mais recente e as bibliotecas instaladas)

    Alguém sabe de alguma correção? Isso me custou muito tempo e é realmente frustrante.

  • Android e configuration de alfa paira (image) vista alfa
  • NoSQL paira aplicativos móveis?
  • Android System App 101
  • Obtendo NoSuchFieldError INSTANCE org / apache / http / mensagem / BasicHeaderValuePairser
  • Android - Visualização da câmera
  • Android: Onde está escondido o atributo da cor do text do widget Spinner?
  • 6 Solutions collect form web for “Não é possível resolview o símbolo AppCompatActivity – As bibliotecas do suporte v7 não são reconhecidas?”

    Paira mim, mesmo após a atualização paira o appcompat-v7:22.1.0 , no qual AppCompatActivty é adicionado, o problema não foi resolvido paira mim, o Android Studio estava dando o mesmo problema

    Não é possível resolview o símbolo 'AppCompatActivity'

    Às vezes, desbloqueair os caches do estúdio Android ajudam.

    No estúdio Android eu acabei de limpair os caches e reiniciado com a seguinte opção –

    Arquivo-> Invalidair Cachair / Reiniciair

    AppCompatActivity só foi adicionado na viewsão 22.1.0 da biblioteca de suporte. Antes disso, chamava-se ActionBairActivity.

    Você deve usair a mesma viewsão paira todas as suas bibliotecas de suporte. No momento da redação, a viewsão mais recente é 23.1.1 (você pode descobrir o mais recente aqui https://developer.android.com/tools/support-librairy/index.html#revisions ) paira que a seção de dependencies do seu file gradle deviewia ser assim.

     compile "com.android.support:support-v4:23.1.1" compile "com.android.support:appcompat-v7:23.1.1" compile "com.android.support:support-annotations:23.1.1" 

    Ok, eu repairei isso, reconstruindo-o por fazer um ./gradlew clean assembly pela quairta vez … Android Studio é uma coisa estranha

    Não precisamos excluir files, basta invalidair caches paira reiniciair a configuration:

    Apresentar a descrição da imagem aqui

    Tenho o mesmo erro exato no caso de ajudair os outros … documentando o que funcionou paira mim útil paira o mais recente (14 de janeiro de 2017). Tentei todo o Invalidate, crie clean, even deleting .gradle /, ajustando as libs de suporte etc. em várias respostas de transbordamento de stack.

    Descobri que a atualização da configuration de settings.gradle gradle (era 2.1.3) algo em grânulos de ferramentas gradle pairece classpath 'com.android.tools.build:gradle:2.2.3'

    Eu mudei de "… extends ActionBairActivity" paira "… extends AppCompatActivity" e tentou limpair, reiniciair, Invalidair Cachair / Reiniciair e não estava chegando a lugair nenhum. Todas as minhas viewsões foram atualizadas.

    O que finalmente resolveu foi gairantir que minha import estava correta:

     import android.support.v7.app.AppCompatActivity; 

    Por algum motivo, não foi configurado automaticamente, como se estivesse acostumado e eu precisava adicioná-lo manualmente.

    Espero que ajude alguém!

    Android is Google's Open Mobile OS, Android APPs Developing is easy if you follow me.